Method: integrations.fetchSupportedPythonVersions

Full name: projects.locations.instances.integrations.fetchSupportedPythonVersions

Fetch supported python versions.

HTTP request

GET https://{endpoint}/v1alpha/{parent}/integrations:fetchSupportedPythonVersions

Where {endpoint} is one of the supported service endpoints.

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of integrations. Format: projects/{project}/locations/{location}/instances/{instance}

Query parameters

Parameters
pageSize

integer

Optional. The maximum number of python versions to return. The service may return fewer than this value. If unspecified, at most 100 python versions will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000.

pageToken

string

Optional. A page token, received from a previous integrations.fetchSupportedPythonVersions call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to integrations.fetchSupportedPythonVersions must match the call that provided the page token.

Request body

The request body must be empty.

Response body

Response message for fetching supported python versions.

If successful, the response body contains data with the following structure:

JSON representation
{
  "supportedPythonVersions": [
    enum (PythonVersion)
  ],
  "nextPageToken": string
}
Fields
supportedPythonVersions[]

enum (PythonVersion)

Output only. The supported python versions.

nextPageToken

string

Optional. A token, which can be sent as pageToken to retrieve the next page. If this field is omitted, there are no subsequent pages.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/chronicle
  • https://www.googleapis.com/auth/chronicle.readonly

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • chronicle.integrations.get

For more information, see the IAM documentation.